Get Storage Zone Egress Statistics
curl --request GET \
--url https://api.bunny.net/storagezone/{id}/statistics/egress \
--header 'AccessKey: <api-key>'import requests
url = "https://api.bunny.net/storagezone/{id}/statistics/egress"
headers = {"AccessKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};
fetch('https://api.bunny.net/storagezone/{id}/statistics/egress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bunny.net/storagezone/{id}/statistics/egress",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"AccessKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bunny.net/storagezone/{id}/statistics/egress"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("AccessKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bunny.net/storagezone/{id}/statistics/egress")
.header("AccessKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bunny.net/storagezone/{id}/statistics/egress")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["AccessKey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"HttpEgressChart": {},
"S3EgressChart": {},
"S3PresignedEgressChart": {},
"FtpEgressChart": {},
"SftpEgressChart": {},
"TotalEgressChart": {},
"HttpEgressTotal": 123,
"S3EgressTotal": 123,
"S3PresignedEgressTotal": 123,
"FtpEgressTotal": 123,
"SftpEgressTotal": 123,
"TotalEgress": 123
}{
"ErrorKey": "<string>",
"Field": "<string>",
"Message": "<string>"
}Storage Zone
Get Storage Zone Egress Statistics
GET
/
storagezone
/
{id}
/
statistics
/
egress
Get Storage Zone Egress Statistics
curl --request GET \
--url https://api.bunny.net/storagezone/{id}/statistics/egress \
--header 'AccessKey: <api-key>'import requests
url = "https://api.bunny.net/storagezone/{id}/statistics/egress"
headers = {"AccessKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};
fetch('https://api.bunny.net/storagezone/{id}/statistics/egress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bunny.net/storagezone/{id}/statistics/egress",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"AccessKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bunny.net/storagezone/{id}/statistics/egress"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("AccessKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bunny.net/storagezone/{id}/statistics/egress")
.header("AccessKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bunny.net/storagezone/{id}/statistics/egress")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["AccessKey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"HttpEgressChart": {},
"S3EgressChart": {},
"S3PresignedEgressChart": {},
"FtpEgressChart": {},
"SftpEgressChart": {},
"TotalEgressChart": {},
"HttpEgressTotal": 123,
"S3EgressTotal": 123,
"S3PresignedEgressTotal": 123,
"FtpEgressTotal": 123,
"SftpEgressTotal": 123,
"TotalEgress": 123
}{
"ErrorKey": "<string>",
"Field": "<string>",
"Message": "<string>"
}Scopes
Query Parameters
Response
The egress statistics data for the passed parameters.